Bug 437443 - cannot install into existing logical volume when volume group is full
cannot install into existing logical volume when volume group is full
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
: 386961 428756 444305 (view as bug list)
Depends On:
Blocks: AnacondaStorage
  Show dependency treegraph
 
Reported: 2008-03-14 04:30 EDT by Andrew Ryan
Modified: 2009-07-09 15:51 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-09 15:51:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot showing the problem (52.36 KB, image/png)
2008-03-14 04:30 EDT, David Robinson
no flags Details
expected result (50.41 KB, image/png)
2008-03-14 04:32 EDT, David Robinson
no flags Details

  None (edit)
Description David Robinson 2008-03-14 04:30:49 EDT
Description of problem:
You cannot install rawhide into an existing logical volume when the volume group
is 100% full. You need at least 1 free PE within a volume group.

I have several LVM logical volumes setup prior to installation and all the space
in the volume group is assigned to logical volumes (one for Fedora, one for
/home which will be shared between Rawhide and Fedora, and one which I wish to
install Rawhide into). The volume group is 100% full. Anaconda shows that the
volume group has 100.1% used space, and free space is -0.1% (-32 MB). The volume
group's extent size is 32 MB.

I cannot edit the existing logical volume (using the edit button in the
screenshot attached) therefore I cannot specify its mountpoint.

Version-Release number of selected component (if applicable):
Rawhide as of 2008/03/13

How reproducible:
100%

Steps to Reproduce:
1. Create 2 partitions, one of 100 MB for /boot, and a physical volume for the
remaining space (the default)
2. Create a volume group
3. Create 3 logical volumes, one for /, one for swap, and one to install
rawhide. Ensure that the volume group is 100% full.
  
Actual results:
See first screenshot. iirc there is another dialog that's shown when you try to
edit the logical volumes, but i forgot to capture it.

Expected results:
You should be able to edit the detail of a volume group that's full. See second
screenshot (this is after I reduced the size of the rawhide LV by one).

Additional info:
There is an "off by one" bug in Anaconda. You can workaround the problem by
dropping to the console then using lvm to reduce the size of a logical volume by
one extent.

I can attach an lvmdump if required.
Comment 1 David Robinson 2008-03-14 04:30:49 EDT
Created attachment 298023 [details]
screenshot showing the problem
Comment 2 David Robinson 2008-03-14 04:32:30 EDT
Created attachment 298024 [details]
expected result
Comment 3 David Robinson 2008-03-14 04:41:58 EDT
Actually, the figures in the expected results screenshot are wrong! The
"expected results" screenshot was taken after I dropped to the console and ran
"lvreduce -l -1 vg0/rawhide". If I drop to the console now and run "vgs --units
m" I get this:
  VG        #PV #LV #SN Attr   VSize      VFree    
  vg0       1   4     0 wz--n- 46720.00M  32.00M

The correct size is what vgs shows (46720), not what Anaconda shows (46688). The
difference is one extent (32).
Comment 4 Bug Zapper 2008-05-14 02:02:53 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Andy Lindeberg 2008-06-02 14:46:30 EDT
*** Bug 444305 has been marked as a duplicate of this bug. ***
Comment 6 Andy Lindeberg 2008-06-03 14:45:40 EDT
*** Bug 386961 has been marked as a duplicate of this bug. ***
Comment 8 Andy Lindeberg 2008-06-17 17:22:11 EDT
*** Bug 428756 has been marked as a duplicate of this bug. ***
Comment 9 Behdad Esfahbod 2008-08-25 16:39:17 EDT
Still an issue with f10alpha.
Comment 10 Charles-Henri d'Adhémar 2009-01-07 07:02:50 EST
Hello I also have this issue with F10 release.
Fortunatly the workaround to free one PE worked for me and I was able to install Fedora on my existing LVM.
Comment 11 Chris Lumens 2009-04-08 15:52:46 EDT
We have made extensive changes to the partitioning code for F11 beta, such that it is very difficult to tell whether your bug is still relevant or not.  Please test with either the latest rawhide you have access to or F11 and let us know whether you are still seeing this problem.  Thanks for the bug report.
Comment 12 Bug Zapper 2009-06-09 19:45:52 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Charles-Henri d'Adhémar 2009-06-10 09:56:42 EDT
Hello,

I personally did not reproduced the bug with F11 Preview.

I had the occasion to re-work my partitioning since I bough a new harddisk and wanted to migrate from F10 i386 to F11 x86_64. I set up my lvm manually from F10, with no free PE remaining in my lvm volumes.
I installed F11 Preview using the DVD x86_64 without any issue regarding LVM and Anaconda.

I hope it helped.
Cheers,

Chicha.
Comment 14 Andy Lindeberg 2009-07-09 15:51:21 EDT
Closing as per comment 13. If the original reporter (or anybody else) is still encountering this, please feel free to reopen.

Note You need to log in before you can comment on or make changes to this bug.